*** ./doc/FAQ_AIX.orig	Fri May  5 05:40:20 2000
--- ./doc/FAQ_AIX	Wed Nov  8 11:16:10 2000
***************
*** 1,13 ****
! From: ZEUGSWETTER Andreas IZ5 <Andreas.Zeugswetter@telecom.at>
! Mon Apr 17 14:01:23 EDT 2000
  
  AIX 4.3.2 with native IBM compiler xlc 3.6.4 passes all regression tests.
  Other versions of OS and compiler should also work. If you don't have 
  a powerpc there might be differences in the geometry regression test.
  
! Use the following configure flags in addition to your own:
! ./configure --without-CXX
! and if you have readline there:
  --with-includes=/usr/local/include --with-libraries=/usr/local/lib
  
  libpq++ does not work because xlC does not have the string and bool classes.
--- 1,12 ----
! From: Zeugswetter Andreas <ZeugswetterA@wien.spardat.at>
! Wed Nov  8 11:16:35 MEZ 2000
  
  AIX 4.3.2 with native IBM compiler xlc 3.6.4 passes all regression tests.
  Other versions of OS and compiler should also work. If you don't have 
  a powerpc there might be differences in the geometry regression test.
  
! Use the following configure flags in addition to your own
! if you have readline or libz there:
  --with-includes=/usr/local/include --with-libraries=/usr/local/lib
  
  libpq++ does not work because xlC does not have the string and bool classes.
***************
*** 16,21 ****
  Compiling PostgreSQL with gcc (2.95.2) on AIX does work if you use the
  configure option: --with-template=aix_gcc 
  
! With the current compiler flags the redefines of int8 - int64, that prior
! versions had a problem with, are not a problem any more.
! 
--- 15,19 ----
  Compiling PostgreSQL with gcc (2.95.2) on AIX does work if you use the
  configure option: --with-template=aix_gcc 
  
! There will probably be warnings about int8 - int64 redefines and 0.0/0.0
! devision warnings, which you can safely ignore.
*** ./src/makefiles/Makefile.aix.orig	Sun Nov  5 10:00:19 2000
--- ./src/makefiles/Makefile.aix	Tue Nov  7 18:51:32 2000
***************
*** 26,37 ****
  
  $(POSTGRES_IMP):
  	@echo Making $@
  	$(MKLDEXPORT) postgres $(bindir) > $@
  	$(CC) -Wl,-bE:$(top_builddir)/src/backend/$@ -o postgres $(OBJS) $(LDFLAGS)
  
  %$(EXPSUFF): %.o
! 	$(MKLDEXPORT) $*.o `pwd` > $*$(EXPSUFF)
  
  %$(DLSUFFIX): %.o %$(EXPSUFF)
! 	@echo Making shared library $@ from $*.o, $*$(EXPSUFF), and installed postgres.imp
! 	$(CC) -Wl,-H512 -Wl,-bM:SRE -Wl,-bI:$(libdir)/$(POSTGRES_IMP) -Wl,-bE:$*$(EXPSUFF) -o $@ $*.o $(LDFLAGS) $(LDFLAGS_SL) -lc
--- 26,45 ----
  
  $(POSTGRES_IMP):
  	@echo Making $@
+ ifeq ($(host_os), aix3.2.5)
  	$(MKLDEXPORT) postgres $(bindir) > $@
+ else
+   ifeq ($(host_os), aix4.1)
+ 	$(MKLDEXPORT) postgres $(bindir) > $@
+   else
+ 	$(MKLDEXPORT) postgres . > $@
+   endif
+ endif
  	$(CC) -Wl,-bE:$(top_builddir)/src/backend/$@ -o postgres $(OBJS) $(LDFLAGS)
  
  %$(EXPSUFF): %.o
! 	$(MKLDEXPORT) $*.o > $*$(EXPSUFF)
  
  %$(DLSUFFIX): %.o %$(EXPSUFF)
! 	@echo Making shared library $@ from $*.o, $*$(EXPSUFF) and postgres.imp
! 	$(CC) -Wl,-H512 -Wl,-bM:SRE -Wl,-bI:$(top_builddir)/src/backend/$(POSTGRES_IMP) -Wl,-bE:$*$(EXPSUFF) -o $@ $*.o $(LDFLAGS) $(LDFLAGS_SL)
*** ./src/Makefile.shlib.orig	Sun Nov  5 10:00:17 2000
--- ./src/Makefile.shlib	Tue Nov  7 18:53:36 2000
***************
*** 273,280 ****
  
  # AIX case
  $(shlib): lib$(NAME).a
! 	$(MKLDEXPORT) lib$(NAME).a $(libdir) > lib$(NAME)$(EXPSUFF)
! 	$(LD) -H512 -bM:SRE -bI:$(top_builddir)/src/backend/$(POSTGRES_IMP) -bE:lib$(NAME)$(EXPSUFF) -o $@ $< $(LDFLAGS) $(SHLIB_LINK)
  
  endif # PORTNAME == aix
  
--- 273,280 ----
  
  # AIX case
  $(shlib): lib$(NAME).a
! 	$(MKLDEXPORT) lib$(NAME).a > lib$(NAME)$(EXPSUFF)
! 	$(CC) -Wl,-H512 -Wl,-bM:SRE -Wl,-bI:$(top_builddir)/src/backend/$(POSTGRES_IMP) -Wl,-bE:lib$(NAME)$(EXPSUFF) -o $@ $< $(LDFLAGS) $(SHLIB_LINK)
  
  endif # PORTNAME == aix
  
